For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
      • GETList integrations
      • POSTCreate an integration
      • PATCHUpdate an integration
      • GETGet an installation
      • PATCHUpdate installation status
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
IntegrationsIntegrations

Get an installation

GET
https://example.ada.support/api/v2/platform-integrations/:id/installations/self
GET
/api/v2/platform-integrations/:id/installations/self
1import requests
2
3url = "https://example.ada.support/api/v2/platform-integrations/id/installations/self"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "id": "5df263b7db5a7e6ea03fae9b",
3 "platform_integration_id": "5df263b7db5a7e6ea03fae9b",
4 "created": "2020-09-20T00:00:00+00:00",
5 "updated": "2020-09-20T00:00:00+00:00",
6 "configuration": {
7 "credentials": {
8 "helpCenterUrl": "https://example.com",
9 "consumerKey": "123",
10 "consumerSecret": "456"
11 }
12 },
13 "status": "complete"
14}
Get the platform integration installation associated with the access token. Use this endpoint to get the details of an installation, including the configuration form completed by the admin.
Was this page helpful?
Previous

Update installation status

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "id"
The ID of the platform integration to fetch installation for

Response

Success
idstringformat: "id"
The unique identifier for the integration installation
platform_integration_idstringformat: "id"
The unique identifier for the integration
createdstringformat: "date-time"
The date and time the installation was created
updatedstringformat: "date-time"
The date and time the installation was last updated
configurationobject
The configuration settings for the integration
statusstring

The current state of the integration installation (incomplete, complete)

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error